.token-section {
    padding: 0rem 1.5rem;
    background-color: #080731;
    color: #fff;
    text-align: center;
    font-family: 'Anton', sans-serif;
   
  }
  
  .token-section h2 {
    margin-top: 50px;
    font-size: 5rem;
    margin-bottom: 1.5rem;
    color: #ffffff;
  }
  
  .address-bar {
    background-color: #111;
    border: 2px solid #e50914;
    border-radius: 8px;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 600px;
    margin: 0 auto 1.5rem;
    font-family: monospace;
    overflow-wrap: anywhere;
    gap: 10px;
    flex-wrap: wrap; /* Allow wrapping on small screens */
  }
  
  .copy-btn {
    background-color: #e50914;
    color: #fff;
    border: none;
    padding: 0.5rem 1rem;
    border-radius: 6px;
    cursor: pointer;
    transition: background 0.3s ease;
    flex-shrink: 0;
  }
  
  @media (max-width: 480px) {
    .address-bar {
      flex-direction: column;
      align-items: flex-start;
      padding: 0.8rem;
      font-size: 0.9rem;
    }
  
    .copy-btn {
      margin-top: 0.6rem;
      width: 27%;
      text-align: center;
      display: flex;
      align-self: center;
      justify-content: center;
    }
  }
  
  .copy-btn:hover {
    background-color: #ff1f1f;
  }
  
  .buy-btn {
    display: inline-block;
    background-color: #fff;
    color: #000;
    padding: 0.75rem 2rem;
    font-size: 1rem;
    border-radius: 8px;
    text-decoration: none;
    font-weight: bold;
    transition: background 0.3s ease;
  }
  
  .buy-btn:hover {
    background-color: #e50914;
    color: #fff;
  }
  